commit:     1489ff33f627b98875ee8714f0bae9c22e512c1c
Author:     Stephen Shkardoon <ss23 <AT> ss23 <DOT> geek <DOT> nz>
AuthorDate: Sun Jun 17 16:50:12 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 18:44:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1489ff33

net-p2p/rtorrent: version bump to 0.9.7

Package-Manager: Portage-2.3.40, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8855

 net-p2p/rtorrent/Manifest              |  1 +
 net-p2p/rtorrent/rtorrent-0.9.7.ebuild | 69 ++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/net-p2p/rtorrent/Manifest b/net-p2p/rtorrent/Manifest
index f0af4df3acf..180ca6b41a6 100644
--- a/net-p2p/rtorrent/Manifest
+++ b/net-p2p/rtorrent/Manifest
@@ -1 +1,2 @@
 DIST rtorrent-0.9.6.tar.gz 610845 BLAKE2B 
4a4faccffe79e7d877e3be9a9b16edcea87f1969ee2689f7789ebd738a19a5a41f5eae3b33c5b874b5c31ad8e872baa88374fae2047dbc76d4f1c0bc6d7ecbd4
 SHA512 
704f7b79d5bc78b817da21a6886662a5a97fde210a110c50f708bdc18e1dcf3ef5c5f4e2740261d41221cfc69c19926bf34e10057adf10601da9e6e06b2cef75
+DIST rtorrent-0.9.7.tar.gz 610149 BLAKE2B 
3f1316b0142dade9662630ad40132c5968d7b0ded32d7ae13d1ec1fdb7fec794812203fece367bf6abfd02212ed94d308046d40eb3e7562c408e8da13b23c23d
 SHA512 
e663bd8984bcec91868beaf16d215708bdea8872338365ba6a05c9ea830b2aff045257bbc8bd0414d84009ee85852822c97bb073dfb41c21e3b0081ecaeecc00

diff --git a/net-p2p/rtorrent/rtorrent-0.9.7.ebuild 
b/net-p2p/rtorrent/rtorrent-0.9.7.ebuild
new file mode 100644
index 00000000000..f621ce1a181
--- /dev/null
+++ b/net-p2p/rtorrent/rtorrent-0.9.7.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools linux-info systemd
+
+DESCRIPTION="BitTorrent Client using libtorrent"
+HOMEPAGE="https://rakshasa.github.io/rtorrent/";
+SRC_URI="http://rtorrent.net/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~x64-solaris"
+IUSE="daemon debug selinux test xmlrpc"
+
+COMMON_DEPEND="~net-libs/libtorrent-0.13.${PV##*.}
+       >=dev-libs/libsigc++-2.2.2:2
+       >=net-misc/curl-7.19.1
+       sys-libs/ncurses:0=
+       xmlrpc? ( dev-libs/xmlrpc-c )"
+RDEPEND="${COMMON_DEPEND}
+       daemon? ( app-misc/screen )
+       selinux? ( sec-policy/selinux-rtorrent )
+"
+DEPEND="${COMMON_DEPEND}
+       dev-util/cppunit
+       virtual/pkgconfig"
+
+DOCS=( doc/rtorrent.rc )
+
+pkg_setup() {
+       if ! linux_config_exists || ! linux_chkconfig_present IPV6; then
+               ewarn "rtorrent will not start without IPv6 support in your 
kernel"
+               ewarn "without further configuration. Please set bind=0.0.0.0 
or"
+               ewarn "similar in your rtorrent.rc"
+               ewarn "Upstream bug: 
https://github.com/rakshasa/rtorrent/issues/732";
+       fi
+}
+
+src_prepare() {
+       default
+
+       # https://github.com/rakshasa/rtorrent/issues/332
+       cp "${FILESDIR}"/rtorrent.1 "${S}"/doc/ || die
+
+       eautoreconf
+}
+
+src_configure() {
+       default
+
+       # configure needs bash or script bombs out on some null shift, bug 
#291229
+       CONFIG_SHELL=${BASH} econf \
+               --disable-dependency-tracking \
+               $(use_enable debug) \
+               $(use_with xmlrpc xmlrpc-c)
+}
+
+src_install() {
+       default
+       doman doc/rtorrent.1
+
+       if use daemon; then
+               newinitd "${FILESDIR}/rtorrentd.init" rtorrentd
+               newconfd "${FILESDIR}/rtorrentd.conf" rtorrentd
+               systemd_newunit "${FILESDIR}/rtorrentd_at.service" 
"[email protected]"
+       fi
+}

Reply via email to